<?php
// start session
session_start();

// connect to database
include 'config/db_connect.php';

// get category id
$category_id = isset($_GET['id']) ? $_GET['id'] : 1; 

// get category name
$query = "SELECT name FROM categories WHERE id = ? limit 0,1"; // select single record query
$stmt = $con->prepare($query); // prepare query statement
$stmt->bindParam(1, $category_id); // bind selected record id
$stmt->execute(); // execute query
$row = $stmt->fetch(PDO::FETCH_ASSOC); // read row

// set value to 'category_name' variable
$category_name=$row['name'];

// set page title
$page_title=$category_name;

// set page header html
include 'layout_head.php';

// for pagination purposes
$page = isset($_GET['page']) ? $_GET['page'] : 1; // page is the current page, if there's nothing set, default is page 1
$records_per_page = 5; // set records or rows of data per page
$from_record_num = ($records_per_page * $page) - $records_per_page; // calculate for the query LIMIT clause

// get all products under a category
$query = "SELECT id, name, price, category_id FROM products WHERE category_id={$category_id} ORDER BY name LIMIT {$from_record_num}, {$records_per_page}";
$stmt = $con->prepare($query);
$stmt->execute();

$num = $stmt->rowCount();

if($num>0){
	include_once "read_products_template.php";
}

// tell the user if there's no products in the database
else{
    echo "No products found.";
}

include 'layout_foot.php';
?>