<?php
// start session
session_start();

// connect to database
include 'config/db_connect.php';

// set page title
$page_title = "Product";

// include page header html
include 'layout_head.php';

// read products button
echo "<div class='right-button-margin' style='overflow:hidden;'>";
	echo "<a href='products.php' class='btn btn-default pull-right'>Read Products</a>";
echo "</div>";

// get ID of the product to be edited
$id = isset($_GET['id']) ? $_GET['id'] : die('ERROR: missing ID.');

$query = "SELECT  name, price, description, category_id
		FROM products
		WHERE  id = ?
		LIMIT 0,1";

$stmt = $con->prepare( $query );
$stmt->bindParam(1, $id);
$stmt->execute();

$row = $stmt->fetch(PDO::FETCH_ASSOC);

$name = $row['name'];
$price = $row['price'];
$description = $row['description'];
$category_id = $row['category_id'];
?>

<!-- HTML form for updating a product -->

	<table class='table table-hover table-responsive table-bordered' style='margin:1em 0 0 0;'>

		<tr>
			<td style='width:30%;'>Name<?php echo "<div class='product-id' style='display:none;'>{$id}</div>"; ?></td>
			<td class='product-name' style='width:70%;'><?php echo $name; ?></td>
		</tr>

		<tr>
			<td>Price</td>
			<td><?php echo $price; ?></td>
		</tr>

		<tr>
			<td>Description</td>
			<td><?php echo htmlspecialchars_decode($description); ?></td>
		</tr>

		<tr>
			<td>Category</td>
			<td>
				<?php
				$query = "SELECT name FROM categories WHERE id = ? limit 0,1";

				$stmt = $con->prepare( $query );
				$stmt->bindParam(1, $category_id);
				$stmt->execute();

				$row = $stmt->fetch(PDO::FETCH_ASSOC);

				echo $row['name'];
				?>
			</td>
		</tr>

		<?php
		if(array_key_exists($id, $_SESSION['cart'])){
			$quantity=$_SESSION['cart'][$id]['quantity'];
			echo "<tr>";
				echo "<td>Quantity</td>";
				echo "<td>";
						 echo "<input type='text' name='quantity' value='{$quantity}' disabled class='form-control' />";
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td>Action</td>";
				echo "<td>";
					echo "<button class='btn btn-success' disabled>";
						echo "<span class='glyphicon glyphicon-shopping-cart'></span> Added!";
					echo "</button>";
				echo "</td>";
			echo "</tr>";
		}else{
			echo "<tr>";
				echo "<td>";
					echo "<div class='product-id' style='display:none;'>{$id}</div>";
					echo "<div class='product-name' style='display:none;'>{$name}</div>";
					echo "Action";
				echo "</td>";
				echo "<td>";
					echo "<form class='add-to-cart-form'>";
						echo "<div class='input-group'>";
								echo "<input type='number' name='quantity' value='1' class='form-control' placeholder='Type quantity here...'>";
								echo "<span class='input-group-btn'>";
									echo "<button type='submit' class='btn btn-primary add-to-cart'>";
										echo "<span class='glyphicon glyphicon-shopping-cart'></span> Add to cart";
									echo "</button>";
								echo "</span>";
						echo "</div>";
					echo "</form>";
				echo "</td>";
			echo "</tr>";
		}
		?>

	</table>

<?php
include 'layout_foot.php';
?>
