<?php
// start session
session_start();

// connect to database
include 'config/db_connect.php';

// set page title
$page_title="Products";

// page header html
include 'layout_head.php';

// to prevent undefined index notice
$action = isset($_GET['action']) ? $_GET['action'] : "";
$product_id = isset($_GET['id']) ? $_GET['id'] : "";
$quantity = isset($_GET['quantity']) ? $_GET['quantity'] : "1";

// for pagination purposes
$page = isset($_GET['page']) ? $_GET['page'] : 1; // page is the current page, if there's nothing set, default is page 1
$records_per_page = 5; // set records or rows of data per page
$from_record_num = ($records_per_page * $page) - $records_per_page; // calculate for the query LIMIT clause

// show message
if($product_id){

	// read name of product
	$query = "SELECT  name, price, description, category_id
			FROM products
			WHERE  id = ?
			LIMIT 0,1";

	$stmt = $con->prepare( $query );
	$stmt->bindParam(1, $product_id);
	$stmt->execute();

	$row = $stmt->fetch(PDO::FETCH_ASSOC);

	$name = $row['name'];

	if($action=='added'){

		echo "<div class='alert alert-info'>";
			echo "<strong>{$name}</strong> was added to your cart!";
		echo "</div>";
	}

	if($action=='exists'){
		echo "<div class='alert alert-info'>";
			echo "<strong>{$name}</strong> already exists in your cart!";
		echo "</div>";
	}
}

$query = "SELECT id, name, price, category_id FROM products ORDER BY name LIMIT {$from_record_num}, {$records_per_page}";
$stmt = $con->prepare($query);
$stmt->execute();

$num = $stmt->rowCount();

if($num>0){
	include_once "read_products_template.php";
}

// tell the user if there's no products in the database
else{
    echo "No products found.";
}

include 'layout_foot.php';
?>
