<?php
// start session
session_start();

// connect to database
include 'config/db_connect.php';

// set page title
$page_title="Search Results";

// include page header html
include 'layout_head.php';

// to prevent undefined index notice
$action = isset($_GET['action']) ? $_GET['action'] : "";
$product_id = isset($_GET['product_id']) ? $_GET['product_id'] : "1";
$name = isset($_GET['name']) ? $_GET['name'] : "";
$quantity = isset($_GET['quantity']) ? $_GET['quantity'] : "1";

// for pagination purposes
$page = isset($_GET['page']) ? $_GET['page'] : 1; // page is the current page, if there's nothing set, default is page 1
$records_per_page = 5; // set records or rows of data per page
$from_record_num = ($records_per_page * $page) - $records_per_page; // calculate for the query LIMIT clause

// search keyword
$search_term=isset($_GET['s']) ? $_GET['s'] : "";

$query = "SELECT id, name, price, category_id FROM products WHERE name LIKE ? ORDER BY name LIMIT ?, ?";
$stmt = $con->prepare( $query );

$search_term = "%{$search_term}%";
$stmt->bindParam(1, $search_term);
$stmt->bindParam(2, $from_record_num, PDO::PARAM_INT);
$stmt->bindParam(3, $records_per_page, PDO::PARAM_INT);
$stmt->execute();

$num = $stmt->rowCount();

if($num>0){
	include_once "read_products_template.php";
}

// tell the user if there's no products in the database
else{
    echo "No products found.";
}

include 'layout_foot.php';
?>